// watch all your go git repos
package main

import (
	"go.wit.com/gui"
	"go.wit.com/lib/gadgets"
)

// the main window nodes
// var reposwin *gadgets.BasicWindow
var reposbox *gui.Node
var reposgrid *gui.Node
var reposgroup *gui.Node

var me *autoType

type autoType struct {
	myGui *gui.Node

	releaseReasonS string // = "gocui dropdown select"

	// guireleaser window
	mainWindow *gui.Node
	mainBox    *gui.Node

	// our view of the repositories
	repos *repoWindow

	// #### autotypist Global Display Options
	autoHidePerfect  *gui.Node
	autoHideReadOnly *gui.Node
	autoReleased     *gui.Node
	ignoreWhitelist  *gui.Node

	// #### autotypist Global Build Options
	// what to change all the branches to
	// so, as a developer, you can move all the repos
	// to the 'devel' branch and then test a devel branch build
	// then switch back to your 'username' branch and do a build there
	toMoveToBranch string

	// displays the preferred names used for the repo tree state
	mainBranch  *gadgets.BasicCombobox
	develBranch *gadgets.BasicCombobox
	userBranch  *gadgets.BasicCombobox

	// this button will regenerate everyones go.mod & go.sum
	rerunGoMod *gui.Node

	// if checked, will stop trying to os.Exec() things after failure
	stopOnErrors *gui.Node

	// button to attempt to autorebuild
	autoRebuildButton *gui.Node

	// checkbox for --dry-run
	autoDryRun *gui.Node

	// checkbox for intermittent scanning
	scanEveryMinute *gui.Node

	// The current working directory
	autoWorkingPwd *gadgets.OneLiner

	// shows what is being used as your home dir
	userHomePwd *gadgets.OneLiner

	// shows what directory being used as ~/go/src
	goSrcPwd *gadgets.OneLiner

	// button to download everything
	downloadEverythingButton *gui.Node

	// button to delete everythign ~/go/src & ~/go/pkg
	deleteGoSrcPkgB *gui.Node

	// button to set all repo branches to master
	setBranchesToMasterB *gui.Node

	// show the time it took to do a scan
	duration *gui.Node
}

func (my *autoType) GoSrcPath() string {
	return my.goSrcPwd.String()
}

/*
var cmds *gui.Node
var doit *gui.Node
var dryrun *gui.Node
*/

/*
type repo struct {
	hidden     bool
	path       string
	lasttagrev string
	lasttag    string

	// what version to release this package as
	targetVersionS string

	pLabel *gui.Node // path label
	// bLabel *gui.Node // branch label
	lastTag       *gui.Node // last tagged version label
	vLabel        *gui.Node // version label
	dirtyLabel    *gui.Node // git state (dirty or not?)
	goSumStatus   *gui.Node // what is the state of the go.sum file
	targetVersion *gui.Node // the final repo release version

	statusButton *gui.Node // opens up the status window

	status *repostatus.RepoStatus
}
*/
